Bug 295041 - Review Request: python-fedora - Python modules for talking to Fedora Infrastructure Services
Review Request: python-fedora - Python modules for talking to Fedora Infrastr...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
https://hosted.fedoraproject.org/proj...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-18 12:30 EDT by Toshio Ernie Kuratomi
Modified: 2007-11-30 17:12 EST (History)
3 users (show)

See Also:
Fixed In Version: 0.2.90.19-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-25 17:44:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Toshio Ernie Kuratomi 2007-09-18 12:30:48 EDT
Spec URL: http://toshio.fedorapeople.org/packages/python-fedora.spec
SRPM URL: http://toshio.fedorapeople.org/packages/python-fedora-0.2.90.17-2.fc7.src.rpm

Description:
Python modules that handle communication with Fedora Infrastructure services.
This set of modules helps with building clients that talk to Fedora
Infrastructure's  TurboGears based services such as Bodhi, PackageDB,
MirrorManager, and FAS2.
Comment 1 Toshio Ernie Kuratomi 2007-09-19 12:28:10 EDT
Updated version: Add bugzilla email for control-center-maint

Spec URL: http://toshio.fedorapeople.org/packages/python-fedora.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-fedora-0.2.90.18-1.fc7.src.rpm
Comment 2 Toshio Ernie Kuratomi 2007-09-21 21:05:59 EDT
Updated version: Fix build on rawhide

Spec URL: http://toshio.fedorapeople.org/packages/python-fedora.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-fedora-0.2.90.18-2.fc7.src.rpm

Comment 3 Jason Tibbitts 2007-09-21 22:24:41 EDT
Looks pretty good to me.  rpmbuild says:
  python-fedora-infrastructure.noarch: W: no-documentation
which is no big deal.

There's a typo in the Source0 line (should be toshio.fedorapeople.org).

I'm curious about the zero-length __init__.py files; I figured rpmlint would
complain about them but they're explicitly exempted from the check so I suppose
they're required.

* source files match upstream:
   aeeee4d9a2dace30ff60fa0ec86540c26b65e825e84b99124f2de42eee13f91d  
   python-fedora-0.2.90.18.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
* final provides and requires are sane:
  python-fedora-0.2.90.18-2.fc8.noarch.rpm
   python-fedora = 0.2.90.18-2.fc8
  =
   python(abi) = 2.5
   python-simplejson

  python-fedora-infrastructure-0.2.90.18-2.fc8.noarch.rpm
   python-fedora-infrastructure = 0.2.90.18-2.fc8
  =
   python(abi) = 2.5
   python-fedora = 0.2.90.18-2.fc8
   python-psycopg2
   python-sqlalchemy

* %check is not present; no test suite upstream.  You wrote this so I assume you 
  know if it works or not.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED; the only needed change I see is the Source0 line.
Comment 4 Luke Macken 2007-09-22 02:43:32 EDT
The __init__.py files are required for Python to see those directories as
containing modules.
Comment 5 Toshio Ernie Kuratomi 2007-09-24 13:43:27 EDT
Thanks tibbs!

Updated source package with fixed Source0 line.  This is what will be imported
to the repository:

Spec URL: http://toshio.fedorapeople.org/packages/python-fedora.spec
SRPM URL:
http://toshio.fedorapeople.org/packages/python-fedora-0.2.90.18-3.fc7.src.rpm
Comment 6 Toshio Ernie Kuratomi 2007-09-24 13:48:53 EDT
New Package CVS Request
=======================
Package Name: python-fedora
Short Description: Python modules for talking to Fedora Infrastructure Services
Owners: toshio,lmacken,ricky,mmcgrath
Branches: FC-6 F-7 EL-5 devel
InitialCC:
Cvsextras Commits: yes
Comment 7 Jason Tibbitts 2007-09-24 21:24:43 EDT
CVS done.
Comment 8 Toshio Ernie Kuratomi 2007-09-25 17:44:30 EDT
Packages imported and built for FC-6, F-7, EL-5, and devel.

Note You need to log in before you can comment on or make changes to this bug.